## com.bbn.openmap.gui
Interface WindowSupport.WSDisplay

All Known Implementing Classes:
  WindowSupport.Dlg, WindowSupport.Frm, WindowSupport.IntrnlFrm

Enclosing interface:
  WindowSupport

public static interface WindowSupport.WSDisplay

Method Summary
`void` `addComponentListener(java.awt.event.ComponentListener cl)`
`void` `dispose()`
`java.awt.Dimension` `getContentSize()`
`java.lang.String` `getTitle()`
`java.awt.Container` `getWindow()`
`java.awt.event.ComponentEvent` `kill()`
`void` `removeComponentListener(java.awt.event.ComponentListener cl)`
`void` `setContent(java.awt.Component content)`
`void` `setTitle(java.lang.String title)`
`void` `show(int x, int y)`

Method Detail

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### getWindow

    public java.awt.Container getWindow()

### setContent

    public void setContent(java.awt.Component content)

### show

    public void show(int x,
                     int y)

### kill

    public java.awt.event.ComponentEvent kill()

### dispose

    public void dispose()

### getContentSize

    public java.awt.Dimension getContentSize()

### addComponentListener

    public void addComponentListener(java.awt.event.ComponentListener cl)

### removeComponentListener

    public void removeComponentListener(java.awt.event.ComponentListener cl)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details